#include <stdlib.h>
#include <stdint.h>
#include <assert.h>

unsigned int nondet_uint();

#define assert2(x, y) __CPROVER_assert(x, y)
#define assume(x) __CPROVER_assume(x)

#ifndef V
#define V 3
#endif

#ifndef C
#define C 3
#endif

unsigned int voting(unsigned int votes[V][C]) {
    unsigned int res[C];
    unsigned int tmp[C];
    unsigned int i = 0;
    unsigned int j = 0;
    unsigned int k = 0;

    for (i = 0; i < V; i++) {
	for (k = 0; k < C; k++) {
	    tmp[k] = 0;
	}
        for (j = 0; j < C; j++) {
            assume (0 <= votes[i][j]);
            assume (votes[i][j] < C);
	    for (k = 0; k < C; k++) {
		if (votes[i][j] == k) {
		    assume (tmp[k] == 0);
		    tmp[k] = 1;
		}
	    }
        }
    }
    for (i = 0; i < C; i++) {
        res[i] = 0;
    }
    for (i = 0; i < V; i++) {
        for (j = 0; j < C; j++) {
            res[j] = res[j] + votes[i][j];
        }
    }
    unsigned int max = 0;
    unsigned int elect = 0;
    for (i = 0; i < C; i++) {
        if (max < res[i]) {
            max = res[i];
            elect = i+1;
        } else {
            if (max == res[i]) {
                elect = 0;
            }
        }
    }
    return elect;
}
